import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { buildFormGroup } from './dynaform/libs';

import { formMetaDataObj } from './_mock/testfields.v4';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;

	formMetaDataObj = formMetaDataObj;

	@ViewChild('testTemplate', { read: TemplateRef })
	private tref: TemplateRef<any>;

	constructor(
		protected fb: FormBuilder
	) {
	}

	ngOnInit() {
		const fullFormMeta = {
			dynaformtest: { meta: this.formMetaDataObj }
		};
		console.log(fullFormMeta);
		this.form = buildFormGroup(fullFormMeta);
		console.log(this.form);
	}
}

